--- a/display/handlers.go
+++ b/display/handlers.go
@@ -19,7 +19,6 @@
 	"github.com/makeworld-the-better-one/amfora/sysopen"
 	"github.com/makeworld-the-better-one/amfora/webbrowser"
 	"github.com/makeworld-the-better-one/go-gemini"
-	"github.com/makeworld-the-better-one/rr"
 	"github.com/spf13/viper"
 )
 
@@ -355,7 +354,7 @@
 	}
 
 	// Fetch happened successfully, use RestartReader to buffer read data
-	res.Body = rr.NewRestartReader(res.Body)
+	res.Body = NewRestartReader(res.Body)
 
 	if renderer.CanDisplay(res) {
 		page, err := renderer.MakePage(u, res, textWidth(), usingProxy)
@@ -368,7 +367,7 @@
 			// Downloading now
 			// Disable read timeout and go back to start
 			res.SetReadTimeout(0) //nolint: errcheck
-			res.Body.(*rr.RestartReader).Restart()
+			res.Body.(*RestartReader).Restart()
 			dlChoice("That page is too large. What would you like to do?", u, res)
 			return ret("", false)
 		}
@@ -376,7 +375,7 @@
 			// Downloading now
 			// Disable read timeout and go back to start
 			res.SetReadTimeout(0) //nolint: errcheck
-			res.Body.(*rr.RestartReader).Restart()
+			res.Body.(*RestartReader).Restart()
 			dlChoice("Loading that page timed out. What would you like to do?", u, res)
 			return ret("", false)
 		}
@@ -509,7 +508,7 @@
 				// Otherwise offer download choices
 				// Disable read timeout and go back to start
 				res.SetReadTimeout(0) //nolint: errcheck
-				res.Body.(*rr.RestartReader).Restart()
+				res.Body.(*RestartReader).Restart()
 				dlChoice("That file could not be displayed. What would you like to do?", u, res)
 			}
 		}()
@@ -519,7 +518,7 @@
 	// Otherwise offer download choices
 	// Disable read timeout and go back to start
 	res.SetReadTimeout(0) //nolint: errcheck
-	res.Body.(*rr.RestartReader).Restart()
+	res.Body.(*RestartReader).Restart()
 	dlChoice("That file could not be displayed. What would you like to do?", u, res)
 	return ret("", false)
 }
